package org.kasapbasi.app02_2016.w0601;

import android.os.StrictMode;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;
import android.widget.Toast;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.StatusLine;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;


public class MainActivity extends ActionBarActivity {

    private TextView tv;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        StrictMode.ThreadPolicy policy = new StrictMode.
        ThreadPolicy.Builder().permitAll().build();
        StrictMode.setThreadPolicy(policy);

        setContentView(R.layout.activity_main);

        tv= (TextView) findViewById(R.id.textView);

        String str= ReadJSon();
     try{
        // JSONObject obj=  new  JSONObject(str);
         JSONArray arr = new JSONArray(str);
         Log.i(MainActivity.class.getName(), arr.toString());
        StringBuilder sb = new StringBuilder("");

         for(int i=0;i<arr.length();i++ ){
           JSONObject js =  arr.getJSONObject(i);
           sb.append(js.getString("display")+"\n" );

         }

         tv.setText(sb.toString());


     }catch(Exception ex){


     }



    }

public String ReadJSon(){
    StringBuilder sb =  new StringBuilder("");
    HttpClient client = new DefaultHttpClient();
    HttpGet get = new HttpGet("http://www.w3schools.com/json/myTutorials.txt");
     try{
         HttpResponse myResponse = client.execute(get);
         StatusLine sl= myResponse.getStatusLine();
         int state= sl.getStatusCode();
         if(state==200){
             HttpEntity entity= myResponse.getEntity();
             InputStream is= entity.getContent();
             BufferedReader br = new BufferedReader(new InputStreamReader(is));
             String line;
              while((line=br.readLine())!=null){
                    sb.append(line);

              }


         }
         else{


             Log.d("MCK", "KAYNAK BULUNAMADI");
         }


     }catch(ClientProtocolException e){
         Log.d("MCK",e.getMessage());
     }
    catch (IOException e){
   Log.d("MCK",e.getMessage());
    }
    catch(Exception ex){
        Log.d("MCK",ex.getMessage());

    }
return  sb.toString();
}

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
